Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 471213 - spacewalk-setup executes external helper programs without Requires'ing them or their packages
Summary: spacewalk-setup executes external helper programs without Requires'ing them o...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Installation
Version: 0.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-12 13:23 UTC by Jan Pazdziora
Modified: 2009-01-22 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:29 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2008-11-12 13:23:26 UTC
Description of problem:

The Spacewalk/Setup.pm module executes /usr/bin/rhn-config-tnsnames.pl, /usr/bin/rhn-populate-database.pl, and /usr/bin/rhn-config-schema.pl without Requiring spacewalk-admin. That does not seem correct.

Version-Release number of selected component (if applicable):

# rpm -qf /usr/lib/perl5/vendor_perl/5.8.8/Spacewalk/Setup.pm
spacewalk-setup-0.4.1-1.git.46bbc2f5655888a7c6cbad96ce7780828e44b955.el5

How reproducible:

Deterministic.

Steps to Reproduce:
1. grep /usr/bin /usr/lib/perl5/vendor_perl/5.8.8/Spacewalk/Setup.pm
2. Take the program names, do rpm -qf on them, and see if spacewalk-setup requires those packages.
 
Actual results:

        Spacewalk::Setup::system_or_exit([ "/usr/bin/rhn-config-tnsnames.pl",
    my @opts = ('/usr/bin/rhn-populate-database.pl',
  Spacewalk::Setup::system_or_exit([ "/usr/bin/rhn-config-schema.pl",

All are contained in spacewalk-admin.

# rpm -q --requires spacewalk-setup | grep spacewalk-admin | wc -l
0

Expected results:

The spacewalk-setup package should require spacewalk-admin.

Additional info:

Comment 1 Jan Pazdziora 2008-11-12 13:27:52 UTC
Grepping /usr/bin on the whole rpm -ql spacewalk-setup file list, we should also Require

spacewalk-certs-tools
perl-Satcon
spacewalk-backend-tools

and whatever package has /usr/bin/cobbler-setup.

Comment 2 Jan Pazdziora 2008-12-12 10:22:58 UTC
Added in 5ebc91ba39dcfb02a4524f1b63153dc987a85b4b, except for the /usr/bin/cobbler-setup which does not seem to have any package yet.

Comment 3 Miroslav Suchý 2009-01-15 09:56:53 UTC
[root@dhcp77-206 tmp]# rpm -qf /usr/bin/rhn-config-tnsnames.pl
spacewalk-admin-0.4.8-1.el5
[root@dhcp77-206 tmp]# rpm -qf /usr/bin/rhn-populate-database.pl
spacewalk-admin-0.4.8-1.el5
[root@dhcp77-206 tmp]# rpm -qf /usr/bin/rhn-config-schema.pl
spacewalk-admin-0.4.8-1.el5
[root@dhcp77-206 tmp]# rpm -e spacewalk-admin
error: Failed dependencies:
        spacewalk-admin >= 0.1.1-0 is needed by (installed) spacewalk-backend-tools-0.4.15-1.el5.noarch
        spacewalk-admin is needed by (installed) spacewalk-setup-0.4.21-1.el5.noarch
        spacewalk-admin is needed by (installed) spacewalk-selinux-0.4.1-7.el5.noarch
# rpm -e spacewalk-certs-tools
error: Failed dependencies:
        spacewalk-certs-tools is needed by (installed) spacewalk-backend-tools-0.4.15-1.el5.noarch
        spacewalk-certs-tools is needed by (installed) spacewalk-setup-0.4.21-1.el5.noarch
        spacewalk-certs-tools is needed by (installed) spacewalk-0.4.2-3.el5.noarch
[root@dhcp77-206 tmp]# rpm -e perl-Satcon
error: Failed dependencies:
        perl(Satcon) is needed by (installed) spacewalk-config-0.4.23-1.el5.noarch
        perl-Satcon is needed by (installed) spacewalk-setup-0.4.21-1.el5.noarch
[root@dhcp77-206 tmp]#
[root@dhcp77-206 tmp]# rpm -e spacewalk-backend-tools
error: Failed dependencies:
        spacewalk-backend-tools is needed by (installed) spacewalk-setup-0.4.21-1.el5.noarch
        spacewalk-backend-tools is needed by (installed) spacewalk-0.4.2-3.el5.noarch

And additionally installation went fine.
VERIFIED


Note You need to log in before you can comment on or make changes to this bug.